# fabcoin

fabcoin is a web wrapper and library for the fabcoin core and  client's JSON-RPC API.

If starting a new project, I highly encourage you to take a look at the more modern
* ES6 support
* optional promise support
* support for newer REST API, in addition to RPC methods

The API is equivalent to the API document [here](https://en.bitcoin.it/wiki/Original_Bitcoin_client/API_Calls_list).
The methods are exposed as lower camelcase methods on the `fabcoin.Client`
object, or you may call the API directly using the `cmd` method.

## Install

`npm install fabcoin`

## Examples

### Create client
```js
// all config options are optional
var client = new fabcoin.Client({
  host: 'localhost',
  port: 8181,
  user: 'username',
  pass: 'password',
  timeout: 30000
});
